%define major 1
%define libxv %mklibname xv %{major}

Name: libxv
Summary:  The Xv Library
Version: 1.0.7
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXv-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

#-----------------------------------------------------------

%package -n %{libxv}
Summary:  The Xv Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Conflicts: XFree86-compat-libs <= 4.1.0
Provides: %{name} = %{version}

%description -n %{libxv}
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

%files -n %{libxv}
%{_libdir}/libXv.so.%{major}*

#-----------------------------------------------------------

%package -n %{libxv}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxv} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxv-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxv}-devel
Development files for %{name}

%files -n %{libxv}-devel
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%{_includedir}/X11/extensions/Xvlib.h
%{_mandir}/man3/Xv*

#-----------------------------------------------------------

%package -n %{libxv}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxv}-devel = %{version}
Provides: libxv-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxv}-static-devel
Static development files for %{name}

%files -n %{libxv}-static-devel
%{_libdir}/libXv.a

#-----------------------------------------------------------

%prep
%setup -q -n libXv-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 397178
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 358668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.7-1.mga2
+ Revision: 222140
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.0.6-2.mga2
+ Revision: 170000
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.6-1.mga1
+ Revision: 6225
- imported package libxv

